
QGIS Application - Bug report #12949

Problem When Doing Intersect

2015-06-12 05:10 AM - Adi Kurniawan

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.8.1 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 21029

Description

Hi all,

I've a problem when I try to intersect two files (files attached), the result has some empty area.

This is the chronology:

1. I do intersect 2 files like at the picture. 

https://cloud.githubusercontent.com/assets/8871958/8128492/c43c3a30-1129-11e5-8560-b123355f0777.png

2. But the result, have some empty area. 

https://cloud.githubusercontent.com/assets/8871958/8128589/ae3c4d3c-112a-11e5-8781-949481aab597.png

3. When I check the geometry, apparently there is a geometry error

https://cloud.githubusercontent.com/assets/8871958/8128679/94cdf7a0-112b-11e5-80a3-d506c89d6404.png

4. I do zoom in the map to the error indication zone until 1:1 scale, the geometry showed like at the picture

https://cloud.githubusercontent.com/assets/8871958/8129112/e6c1434c-112f-11e5-8dde-7e8efd023d4d.png

5. I enter to the editor mode to see the node. I click using the node tool and separate them, apparently there are 4 nodes in there

https://cloud.githubusercontent.com/assets/8871958/8129175/a256796a-1130-11e5-854b-187dba5a2198.png

And the polygon in left and right side is one polygon

https://cloud.githubusercontent.com/assets/8871958/8129225/2ac3ee68-1131-11e5-8e61-8306ed38dc02.png

FYI, I've been tried this file to process in ArcMap, there is no error, and the result is good.

7. When I try to modification this file like in the picture, then I doing intersect again, the result is good.

https://cloud.githubusercontent.com/assets/8871958/8129721/2cad3446-1136-11e5-9e3f-af956d006305.png

My question is

a. What is the type of geometry error of this?

b. Is the error process cause by geometry error or QGIS bug, because when I try the same file in ArcMap, the result is good?

c. If this is just a geometry error, what the best step that must I do, besides that I do in the step in number 7?

Thank you.

Regard,

History

#1 - 2015-06-12 05:24 AM - Giovanni Manghi
- Assignee deleted (Tim Sutton)

- Category changed from Browser to 44

- Status changed from Open to Feedback

duplicate of #11986 ?

meanwhile I'll bet that if you the same operation with the v.overlay tool in the qgis/Processing toolbox you'll get the right results.

#2 - 2015-06-12 05:27 AM - Giovanni Manghi

meanwhile I'll be that if you the same operation with the v.overlay tool in the qgis/Processing toolbox you'll get the right results.

yep, just tested. And also the tool "polygon intersection" always in processing, returns the right results.

#3 - 2015-06-12 09:02 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

duplicate of #11986

#4 - 2015-06-13 12:43 AM - Tim Sutton

Hi Giovanni

I tried to show him to use v.overlay, but unfortunately QGIS package from ubuntugis is not working with GRASS package. Ubuntugis currently provides

QGIS 2.8.1 and GRASS 7 and although grass 7 is enabled in processing options etc. All processing commands currently fail with 'grass could not be

found'. Guess we need to wait for Radim's patched version of GRASS to land?

Regards

Tim

#5 - 2015-06-13 01:55 AM - Giovanni Manghi

Tim Sutton wrote:

Hi Giovanni

I tried to show him to use v.overlay, but unfortunately QGIS package from ubuntugis is not working with GRASS package. Ubuntugis currently

provides QGIS 2.8.1 and GRASS 7 and although grass 7 is enabled in processing options etc. All processing commands currently fail with 'grass

could not be found'. Guess we need to wait for Radim's patched version of GRASS to land?

Regards

Tim
Hi Tim,

please check in the general Processing options (under "providers") if GRASS 7 is active. GRASS 7 is already working with Processing and is not

dependent on the work being done on the QGIS/GRASS plugin.

Please let me know if it works

cheers!

#6 - 2015-06-13 04:30 AM - Jürgen Fischer

Tim Sutton wrote:

Hi Giovanni

I tried to show him to use v.overlay, but unfortunately QGIS package from ubuntugis is not working with GRASS package. Ubuntugis currently

provides QGIS 2.8.1 and GRASS 7 and although grass 7 is enabled in processing options etc. All processing commands currently fail with 'grass

could not be found'. Guess we need to wait for Radim's patched version of GRASS to land?

Use our repositories (with the ubuntugis repository for dependencies) for QGIS 2.8.2 (see QGIS Installers Debian/Ubuntu).  We don't upload to launchpad

anymore - the ubuntugis packages are created as any other debian packages.

#7 - 2015-06-14 07:09 PM - Adi Kurniawan

Giovanni Manghi wrote:

Tim Sutton wrote:

Hi Giovanni

I tried to show him to use v.overlay, but unfortunately QGIS package from ubuntugis is not working with GRASS package. Ubuntugis currently

provides QGIS 2.8.1 and GRASS 7 and although grass 7 is enabled in processing options etc. All processing commands currently fail with 'grass

could not be found'. Guess we need to wait for Radim's patched version of GRASS to land?

Regards

Tim

Hi Tim,

please check in the general Processing options (under "providers") if GRASS 7 is active. GRASS 7 is already working with Processing and is not

dependent on the work being done on the QGIS/GRASS plugin.

Please let me know if it works

cheers!

Hi Giovanni,

The setting that you mean is this?

https://cloud.githubusercontent.com/assets/8871958/8151786/e660f446-133d-11e5-9e0e-9dd6dc259be9.png
#8 - 2015-06-15 05:24 AM - Giovanni Manghi

Hi Giovanni,

The setting that you mean is this?

https://cloud.githubusercontent.com/assets/8871958/8151786/e660f446-133d-11e5-9e0e-9dd6dc259be9.png

yes, but if you are on Linux and using repositories to install packages then you will have only GRASS7 or GRASS installed (likely GRASS7 if you are on a

recent release of Ubuntu): uncheck the version you have not installed.

#9 - 2015-06-17 03:26 AM - Adi Kurniawan

Giovanni Manghi wrote:

Hi Giovanni,

The setting that you mean is this?

https://cloud.githubusercontent.com/assets/8871958/8151786/e660f446-133d-11e5-9e0e-9dd6dc259be9.png

yes, but if you are on Linux and using repositories to install packages then you will have only GRASS7 or GRASS installed (likely GRASS7 if you are

on a recent release of Ubuntu): uncheck the version you have not installed.

Hi,

I've tried to do this process in my windows computer.

I just could try the v.overlay process that available in GRASS Commands, because when I use the v.overlay process in GRASS 7 Commands, there is an

error notification

https://cloud.githubusercontent.com/assets/8871958/8204720/c8cf0c50-1514-11e5-937b-994da5a2c7c8.png

And also, when I use the v.overlay in GRASS Commands, I could use it

https://cloud.githubusercontent.com/assets/8871958/8204713/bd25af58-1514-11e5-8775-e81f1f3f96e1.png

But there is a problem in the result

https://cloud.githubusercontent.com/assets/8871958/8204719/c778145a-1514-11e5-8edb-7d8929fff6e9.png

#10 - 2015-06-17 07:48 AM - Giovanni Manghi

I've tried to do this process in my windows computer.

I just could try the v.overlay process that available in GRASS Commands, because when I use the v.overlay process in GRASS 7 Commands, there

is an error notification

if you used the Standalone installer this ships with GRASS 6.4 so it is normal you have to configure Processing to use it instead of GRASS 7.

And also, when I use the v.overlay in GRASS Commands, I could use it

But there is a problem in the result

you are hitting an issue that depends on the limited capacity that shapefiles have for column names length:
in your inputs shapefiles you have columns with similar/identical columns names. The operation will produce an output with column names with a prefix a_

or b_ and together with the 10 char length limit this will produce a shape with a few columns with identical names, and that is not allowed.

If you change the proper column names in your inputs then the operation goes well.

#11 - 2015-06-17 07:22 PM - Adi Kurniawan

Giovanni Manghi wrote:

I've tried to do this process in my windows computer.

I just could try the v.overlay process that available in GRASS Commands, because when I use the v.overlay process in GRASS 7 Commands,

there is an error notification

if you used the Standalone installer this ships with GRASS 6.4 so it is normal you have to configure Processing to use it instead of GRASS 7.

And also, when I use the v.overlay in GRASS Commands, I could use it

But there is a problem in the result

you are hitting an issue that depends on the limited capacity that shapefiles have for column names length:

in your inputs shapefiles you have columns with similar/identical columns names. The operation will produce an output with column names with a

prefix a_ or b_ and together with the 10 char length limit this will produce a shape with a few columns with identical names, and that is not allowed.

If you change the proper column names in your inputs then the operation goes well.

Hi Giovanni,

Thanks for advise me about the column names.

I've tried to delete the column with similar names in both of the files, and the process could running in v.overlay that available at GRASS Commands.

When I put the SS_Agroklimat data as input layer (A), the result is fine.

https://cloud.githubusercontent.com/assets/8871958/8222769/984f0a32-1599-11e5-9ad6-5e711da50438.png

But, when I put the SS_Geo data as input layer (A), the result still have an empty area.

https://cloud.githubusercontent.com/assets/8871958/8222771/9d9c98f6-1599-11e5-8eb0-ddab88e20a9c.png

#12 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

Intersect.zip 2.59 MB 2015-06-12 Adi Kurniawan
